Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.enhance
Class DefaultOutputProvider

    java.lang.Object
      |
      +--com.solarmetric.kodo.enhance.DefaultOutputProvider

All Implemented Interfaces:
  OutputProvider

public class DefaultOutputProvider
extends Object
implements OutputProvider

default OutputProvider implemtation using URL and Class.getResourceAsStream

Field Summary
`static String` | `CLASS_EXT`

Constructor Summary
`DefaultOutputProvider()`

Method Summary
`static DefaultOutputProvider` | `getInstance()`
`void` | `notifyClosed(Class type)` notify implementations that the enhancer has finished work on the class's bytecode and that the stream given prior has been closed.
`OutputStream` | `provideOutputStream(Class type)` return an output stream for a given class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_EXT

    public static final String CLASS_EXT

Constructor Detail

### DefaultOutputProvider

    public DefaultOutputProvider()

Method Detail

### getInstance

    public static DefaultOutputProvider getInstance()

### provideOutputStream

    public OutputStream provideOutputStream(Class type)
                                     throws IOException

  Description copied from interface: `OutputProvider`
  return an output stream for a given class.
  Specified by:
    `provideOutputStream` in interface `OutputProvider`

### notifyClosed

    public void notifyClosed(Class type)

  Description copied from interface: `OutputProvider`
  notify implementations that the enhancer has finished work on the class's bytecode and that the stream given prior has been closed.
  Specified by:
    `notifyClosed` in interface `OutputProvider`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.